## qapt 1.0.3

=== CMakeLists.txt ===
project(libqapt)

cmake_minimum_required(VERSION 2.6.0)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

set(qapt_VERSION 1.0.3)

set(qapt_lib_SOVERSION 1)
set(qapt_lib_VERSION ${qapt_lib_SOVERSION}.0.3)

configure_file(
       "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in"
       "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
       IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libqapt.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
               @ONLY )

configure_file(qaptversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libqapt)

# This macro is defined in FindPolkitQt.cmake
macro(dbus_add_activation_system_service _sources)
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services )
        #install(FILES ${_target} DESTINATION ${_install_dir})
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_system_service _sources)

find_package(Qt4 REQUIRED)
find_package(Automoc4 REQUIRED)
find_package(PolkitQt-1 REQUIRED)
find_package(Xapian REQUIRED)
find_package(AptPkg REQUIRED)

# Find the required Libaries
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${POLKITQT-1_INCLUDE_DIR}
    ${XAPIAN_INCLUDE_DIR}
    ${APTPKG_INCLUDE_DIR}
    )

add_subdirectory(src)

find_package(KDE4)
if (KDE4_FOUND)
    include(KDE4Defaults)
    add_subdirectory(utils)

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

    #DOC_SUBDIR
endif (KDE4_FOUND)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig
        COMPONENT Devel )
install(FILES ${CMAKE_SOURCE_DIR}/cmake/modules/QAptConfig.cmake
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/cmake/QApt/
        COMPONENT Devel )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(ga)
add_subdirectory(en_GB)
add_subdirectory(uk)
add_subdirectory(th)
add_subdirectory(nds)
add_subdirectory(fr)
add_subdirectory(da)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(es)
add_subdirectory(eo)
add_subdirectory(ca)
add_subdirectory(ja)
add_subdirectory(et)
add_subdirectory(ru)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(sl)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(lt)
add_subdirectory(hu)
add_subdirectory(cs)

=== src/CMakeLists.txt ===
set(qapt_SRCS
    backend.cpp
    cache.cpp
    package.cpp
    )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    )

add_subdirectory(worker)

set(qapt_MOC_HDRS
    backend.h
    cache.h
   )

set(qapt_HDRS
    package.h
    globals.h
    )

qt4_wrap_cpp(qapt_SRCS ${qapt_MOC_HDRS})

qt4_add_dbus_interface(qapt_SRCS
                       worker/org.kubuntu.qaptworker.xml
                       workerdbus)

add_library(qapt SHARED ${qapt_SRCS})
set_target_properties(qapt PROPERTIES
    VERSION ${qapt_lib_VERSION}
    SOVERSION ${qapt_lib_SOVERSION}
    )

target_link_libraries(qapt
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${APTPKG_LIBRARIES}
    ${XAPIAN_LIBRARIES}
    )

install(TARGETS qapt
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(FILES
    backend.h
    cache.h
    package.h
    globals.h

    DESTINATION
    include/libqapt COMPONENT Devel)

=== src/worker/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

if ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr") # If the prefix is usr, things will not be in /usr/etc/
    set(SYSCONF_INSTALL_DIR "/etc") # ...but rather in /etc
else ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
    set(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc") # Otherwise, trust the prefix
endif ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")

set(qapt_worker_SRCS
    debug.cpp
    main.cpp
    worker.cpp
    workeracquire.cpp
    workerinstallprogress.cpp
)

qt4_add_dbus_adaptor(qapt_worker_SRCS
    org.kubuntu.qaptworker.xml
    worker.h
    QAptWorker
)

automoc4_add_executable(qaptworker
    ${qapt_worker_SRCS}
    ${qapt_worker_adaptor_SRCS}
)

# see our worker is pretty small :D
target_link_libraries(qaptworker
    ${QT_QTCORE_LIBRARY}
    ${POLKITQT-1_CORE_LIBRARY}
    qapt
)

install(TARGETS qaptworker DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

dbus_add_activation_system_service(org.kubuntu.qaptworker.service.in)

install(FILES org.kubuntu.qaptworker.conf DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)
install(FILES org.kubuntu.qaptworker.policy DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)

=== utils/qapt-batch/CMakeLists.txt ===
set(qaptbatch_SRCS
    main.cpp
    qaptbatch.cpp
    detailswidget.cpp)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

kde4_add_executable(qapt-batch ${qaptbatch_SRCS})

target_link_libraries(qapt-batch ${KDE4_KDEUI_LIBS} qapt)

install(TARGETS qapt-batch ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
qapt (1.0.3-0ubuntu2) maverick; urgency=low

  * Fix libqapt1.symbols. Since we aren't building with fvisibility=hidden,
    dpkg-gensymbols is picking up some libapt-pkg symbols as libqapt's. And
    since libapt-pkg's symbols are different between i386 and amd64, FTBFS
    occurs on amd64. I've set these symbols to !amd64, but this isn't really
    a problem since they aren't our symbols.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 15:58:24 -0400

qapt (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix-only release, fixing a silent error when encountering
    total-system APT locks. 
    (http://websvn.kde.org/?view=revision&revision=1180714)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:30:05 -0400

qapt (1.0.2-0ubuntu2) maverick; urgency=low

  * Re-add libqapt1.symbols, which was inadvertantly dropped last upload.
    I had forgotten to re-add it after I removed it for backporting to lucid.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 14 Sep 2010 08:41:29 -0400

qapt (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 17:50:50 -0400

qapt (1.0.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Aug 2010 12:26:49 -0400

qapt (1.0-0ubuntu2) maverick; urgency=low

  * Remove erroneous patches that arose due to source format 3.0 and me
    leaving files around
  * Remove some mysterious symbols from the symbols file that don't look like
    they belong to libqapt and cause FTBFS on amd64

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 12 Aug 2010 11:30:33 -0400

qapt (1.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Rename libqapt0 to libqapt1 for .so versioning bump
    - Replace appropriate depends with libqapt1 in debian/control
    - Update libqapt0.symbols for the bump, renaming it to libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 Aug 2010 10:23:53 -0400

qapt (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Aug 2010 10:03:43 -0400

qapt (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Update libqapt0.symbols for a new function
  * Bump Standards-Version to 3.9.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 28 Jul 2010 09:12:16 -0400

qapt (0.3.0-0ubuntu2) maverick; urgency=low

  * Add a symbols file for libqapt0
  * Give libqapt-dev the section of libdevel
  * Bump Standards-Version to 3.9.0, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 23 Jul 2010 10:26:47 -0400

qapt (0.3.0-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 02 Jun 2010 14:47:35 -0500

=== debian/control ===
Source: qapt
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
 kdelibs5-dev, libapt-pkg-dev, libxapian-dev, libpolkit-qt-1-dev
Standards-Version: 3.9.1

Package: libqapt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version}), libapt-pkg-dev
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-batch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
Description: Batch package manager for KDE
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: QApt debugging symbols
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --dbg-package=qapt-dbg --with kde $@

## qapt 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 cmake_minimum_required(VERSION 2.6.0)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-set(qapt_VERSION 1.0.3)
+set(qapt_VERSION 1.1.2)
 
 set(qapt_lib_SOVERSION 1)
-set(qapt_lib_VERSION ${qapt_lib_SOVERSION}.0.3)
+set(qapt_lib_VERSION ${qapt_lib_SOVERSION}.1.2)
 
 configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in"
@@ -51,7 +51,126 @@
     ${APTPKG_INCLUDE_DIR}
     )
 
+MACRO(NORMALIZE_VERSION _requested_version _normalized_version)
+    STRING(REGEX MATCH "[^0-9]*[0-9]+\\.[0-9]+\\.[0-9]+.*" _threePartMatch "${_requested_version}")
+    if (_threePartMatch)
+    # parse the parts of the version string
+        STRING(REGEX REPLACE "[^0-9]*([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" _major_vers "${_requested_version}")
+        STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" _minor_vers "${_requested_version}")
+        STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" _patch_vers "${_requested_version}")
+    else (_threePartMatch)
+        STRING(REGEX REPLACE "([0-9]+)\\.[0-9]+" "\\1" _major_vers "${_requested_version}")
+        STRING(REGEX REPLACE "[0-9]+\\.([0-9]+)" "\\1" _minor_vers "${_requested_version}")
+        set(_patch_vers "0")
+    endif (_threePartMatch)
+
+    # compute an overall version number which can be compared at once
+    MATH(EXPR ${_normalized_version} "${_major_vers}*10000 + ${_minor_vers}*100 + ${_patch_vers}")
+ENDMACRO(NORMALIZE_VERSION)
+
+MACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER _lower_limit _value _upper_limit _ok)
+   if (${_value} LESS ${_lower_limit})
+      set( ${_ok} FALSE )
+  elseif (${_value} EQUAL ${_lower_limit})
+      set( ${_ok} TRUE )
+  elseif (${_value} EQUAL ${_upper_limit})
+      set( ${_ok} FALSE )
+  elseif (${_value} GREATER ${_upper_limit})
+      set( ${_ok} FALSE )
+  else (${_value} LESS ${_lower_limit})
+      set( ${_ok} TRUE )
+  endif (${_value} LESS ${_lower_limit})
+ENDMACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER)
+
+MACRO(MACRO_ENSURE_VERSION requested_version found_version var_too_old)
+    NORMALIZE_VERSION( ${requested_version} req_vers_num )
+    NORMALIZE_VERSION( ${found_version} found_vers_num )
+
+    if (found_vers_num LESS req_vers_num)
+        set( ${var_too_old} FALSE )
+    else (found_vers_num LESS req_vers_num)
+        set( ${var_too_old} TRUE )
+    endif (found_vers_num LESS req_vers_num)
+
+ENDMACRO(MACRO_ENSURE_VERSION)
+
+MACRO(MACRO_ENSURE_VERSION2 requested_version2 found_version2 var_too_old2)
+    MACRO_ENSURE_VERSION( ${requested_version2} ${found_version2} ${var_too_old2})
+ENDMACRO(MACRO_ENSURE_VERSION2)
+
+MACRO(MACRO_ENSURE_VERSION_RANGE min_version found_version max_version var_ok)
+    NORMALIZE_VERSION( ${min_version} req_vers_num )
+    NORMALIZE_VERSION( ${found_version} found_vers_num )
+    NORMALIZE_VERSION( ${max_version} max_vers_num )
+
+    MACRO_CHECK_RANGE_INCLUSIVE_LOWER( ${req_vers_num} ${found_vers_num} ${max_vers_num} ${var_ok})
+ENDMACRO(MACRO_ENSURE_VERSION_RANGE)
+
+if (CMAKE_COMPILER_IS_GNUCXX)
+
+  include(CheckCXXCompilerFlag)
+
+   # visibility support
+   check_cxx_compiler_flag(-fvisibility=hidden __HAVE_GCC_VISIBILITY)
+   set( __HAVE_GCC_VISIBILITY ${__HAVE_GCC_VISIBILITY} CACHE BOOL "GCC support for hidden visibility")
+
+   # get the gcc version
+   exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} --version OUTPUT_VARIABLE _gcc_version_info)
+
+   string (REGEX MATCH "[345]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
+   # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the patch level, handle this here:
+   if (NOT _gcc_version)
+      string (REGEX MATCH ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${gcc_on_macos}")
+      if (gcc_on_macos)
+        string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
+      endif (gcc_on_macos)
+   endif (NOT _gcc_version)
+
+   if (_gcc_version)
+      macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)
+      macro_ensure_version("4.2.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_2)
+      macro_ensure_version("4.3.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_3)
+   endif (_gcc_version)
+
+   # save a little by making local statics not threadsafe
+   # ### do not enable it for older compilers, see
+   # ### http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31806
+   if (GCC_IS_NEWER_THAN_4_3)
+       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-threadsafe-statics")
+   endif (GCC_IS_NEWER_THAN_4_3)
+
+   set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
+   if (GCC_IS_NEWER_THAN_4_1)
+      exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} -v OUTPUT_VARIABLE _gcc_alloc_info)
+      string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
+   endif (GCC_IS_NEWER_THAN_4_1)
+
+   if (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
+      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+      # check that Qt defines Q_DECL_EXPORT as __attribute__ ((visibility("default")))
+      # if it doesn't and KDE compiles with hidden default visibiltiy plugins will break
+      set(_source "#include <QtCore/QtGlobal>\n int main()\n {\n #ifndef QT_VISIBILITY_AVAILABLE \n #error QT_VISIBILITY_AVAILABLE is not available\n #endif \n }\n")
+      set(_source_file ${CMAKE_BINARY_DIR}/CMakeTmp/check_qt_visibility.cpp)
+      file(WRITE "${_source_file}" "${_source}")
+      set(_include_dirs "-DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDES}")
+
+      try_compile(_compile_result ${CMAKE_BINARY_DIR} ${_source_file} CMAKE_FLAGS "${_include_dirs}" COMPILE_OUTPUT_VARIABLE _compile_output_var)
+
+      if(NOT _compile_result)
+         message(FATAL_ERROR "Qt compiled without support for -fvisibility=hidden. This will break plugins and linking of some applications. Please fix your Qt installation.")
+      endif(NOT _compile_result)
+
+      if (GCC_IS_NEWER_THAN_4_2)
+          set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
+      endif (GCC_IS_NEWER_THAN_4_2)
+   else (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
+      set (__HAVE_GCC_VISIBILITY 0)
+   endif (__HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
+
+endif (CMAKE_COMPILER_IS_GNUCXX)
+
 add_subdirectory(src)
+add_subdirectory(includes)
 
 find_package(KDE4)
 if (KDE4_FOUND)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 add_subdirectory(pt_BR)
 add_subdirectory(ga)
 add_subdirectory(en_GB)
+add_subdirectory(nb)
 add_subdirectory(uk)
 add_subdirectory(th)
 add_subdirectory(nds)
@@ -19,14 +20,19 @@
 add_subdirectory(es)
 add_subdirectory(eo)
 add_subdirectory(ca)
+add_subdirectory(fi)
 add_subdirectory(ja)
 add_subdirectory(et)
 add_subdirectory(ru)
 add_subdirectory(pt)
+add_subdirectory(ca@valencia)
 add_subdirectory(it)
+add_subdirectory(tr)
 add_subdirectory(sl)
 add_subdirectory(sv)
 add_subdirectory(de)
 add_subdirectory(lt)
 add_subdirectory(hu)
 add_subdirectory(cs)
+add_subdirectory(mai)
+add_subdirectory(ro)

=== debian/changelog ===
qapt (1.1.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Apr 2011 13:58:04 -0400

qapt (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release:
    - Drop kubuntu_01_dont_close_stdout.diff, present upstream
  * Update Homepage field to the new projects.kde.org home page
  * Update the Source field in debian/copyright for the switch to the new KDE
    Git repository

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Feb 2011 19:19:57 -0500

qapt (1.1.0-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_dont_close_stdout.diff from upstream to fix the failure
    of postinst scripts needing stdout. (LP: #680328)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 26 Jan 2011 21:27:09 -0500

qapt (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update libqapt1.symbols
  * Fix debian/copyright syntax
  * Update debian/copyright for new copyright holders

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 04 Jan 2011 16:40:10 -0500

qapt (1.0.95-0ubuntu1) natty; urgency=low

  * New upstream release candidate:
    - Update libqapt1.install
    - Update libqapt1.symbols
  * Port packaging to the debhelper 8 standard:
    - Bump compat to 8
    - Bump build-depend on debhelper to 8.0.0~
    - Place options after the dh sequence in debian/rules
  * Add a homepage field with the project homepage

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Dec 2010 21:26:41 -0500

qapt (1.0.90-0ubuntu1) natty; urgency=low

  * New upstream beta:
    - Update libqapt1.install
    - Update libqapt1.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 20 Dec 2010 12:17:39 -0500

qapt (1.0.80-0ubuntu2) natty; urgency=low

  * Rebuild for polkit-qt-1 ABI break

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 10 Dec 2010 13:16:42 -0500

qapt (1.0.80-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 12:16:50 -0500

qapt (1.0.60-0ubuntu2) natty; urgency=low

  * Somehow the libqapt1.symbols changes didn't make it in to the last upload
    Reupload to fix FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Nov 2010 08:32:06 -0400

qapt (1.0.60-0ubuntu1) natty; urgency=low

  * New upstream release: (LP: #490353, #668297, #670294)
    - Bump build-depend version on libapt-pkg-dev to 0.8.0 or higher
    - Update libqapt1.symbols
  * Bump Standards-Version to 3.9.1, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 22:46:18 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev, libxapian-dev, libpolkit-qt-1-dev
+Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
+ kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev
 Standards-Version: 3.9.1
+Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
 Package: libqapt1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=qapt-dbg --with kde

## qapt 1.2.1

=== debian/changelog ===
qapt (1.2.1-0ubuntu2) oneiric; urgency=low

  * Add changes not present in the previous upload due to me not re-source-
    building after making them... Fixes FTBFS.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 19 Sep 2011 00:01:31 -0400

qapt (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release: (LP: #830786, 847748, 839411)
    - Update libqapt1.install
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Sep 2011 12:48:47 -0400

qapt (1.2.0-0ubuntu3) oneiric; urgency=low

  * Fix the qtgstreamer build-dep. The natty build-dep accidentally snuck in.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 26 Aug 2011 17:38:51 -0400

qapt (1.2.0-0ubuntu2) oneiric; urgency=low

  * Add an or dependency between polkit-kde-1 and policykit-1-gnome to ensure
    we have a policykit frontend installed. (LP: #833058)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Aug 2011 21:40:33 -0400

qapt (1.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822623, #823087)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Aug 2011 19:08:39 -0400

qapt (1.1.90-0ubuntu2) oneiric; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:28:53 +0200

qapt (1.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 24 Jul 2011 14:40:16 -0400

qapt (1.1.85-0ubuntu2) oneiric; urgency=low

  * Fix update-alternatives usage in gstreamer0.10-qapt (LP: #807483)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jul 2011 00:21:20 -0400

qapt (1.1.85-0ubuntu1) oneiric; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 26 Jun 2011 11:30:57 -0400

qapt (1.1.80-0ubuntu2) oneiric; urgency=low

  * Build-depend on libqtgstreamer-dev instead of qtgstreamer-dev.
  * Increase priority for gstreamer-codec-install alternative to 85.
  * Enable parallel building.
  * Fix symbols file on amd64.
  * Move .mo files from qapt-batch to the respective packages.
  * Call dh_install with --fail-missing.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 19:33:00 +0200

qapt (1.1.80-0ubuntu1) oneiric; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols
    - Add several new binary packages for new QApt utilities
    - Add a qapt-utils metapackage to install all QApt utilities
    - Add build-depend on qtgstreamer-dev for qapt-gstreamer-helper
    - Add a build-depend on libdebconf-kde-dev for qapt-deb-installer

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Mar 2011 10:37:54 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev
-Standards-Version: 3.9.1
+ kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev,
+ libqtgstreamer-dev, libdebconf-kde-dev
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
 Package: libqapt1
@@ -33,7 +34,7 @@
 
 Package: libqapt-runtime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
 Description: Runtime components for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -42,6 +43,15 @@
  .
  This package contains the runtime components necessary for applications using
  the QApt library to run.
+
+Package: qapt-utils
+Architecture: any
+Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
+ plasma-runner-installer, kde-thumbnailer-deb
+Recommends: gstreamer0.10-qapt
+Description: complete collection of QApt package management utilities
+ This is a metapackage depending on all of QApt's extra package management
+ utilities.
 
 Package: qapt-batch
 Architecture: any
@@ -52,6 +62,37 @@
  command line interface. It also has an attach function invokable via the
  command line. QApt Batch is a drop-in replacement for the "install-package"
  batch package management tool.
+
+Package: qapt-deb-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Description: tool for installing deb files
+ The QApt deb installer allows you to install local .deb files. The QApt Deb
+ Installer resolves and downloads dependencies. The APT package manager does
+ the same, but only for remote packages.
+
+Package: plasma-runner-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
+Description: KRunner plugin for installing packages
+ This KRunner plugin offers the option to install an application if its
+ command is typed in to KRunner and the application is not already
+ installed.
+
+Package: kde-thumbnailer-deb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Enhances: dolphin, konqueror
+Description: KDE plugin to show thumbnails of Debian package files
+ A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
+ packages (.deb files) as thumbnails.
+
+Package: gstreamer0.10-qapt
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Description: GStreamer plugin to install codecs using QApt
+ This package provides a plugin for the GStreamer multimedia framework
+ to search and to install audio and video codecs.
 
 Package: qapt-dbg
 Section: debug

## qapt 1.2.2

=== debian/changelog ===
qapt (1.2.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release (Closes: #635380)

  [ Kai Wasserbäch ]
  * debian/watch: Added.
  * debian/control:
    - Added myself to Uploaders.
    - Bumped B-D on debhelper for automatic environmet variables.
    - Allow José direct uploads (DM-Upload-Allowed).
  * debian/source.lintian-overrides: Added (temp. only).
  * debian/source/{local-,}options: Added.
  * debian/copyright: Added myself.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Added.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 14 Dec 2011 15:49:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,20 @@
 Source: qapt
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev,
- libqtgstreamer-dev, libdebconf-kde-dev
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Kai Wasserbäch <curan@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8.9.4),
+ pkg-kde-tools (>= 0.5.0),
+ cmake (>= 2.8.4+dfsg.1-3),
+ pkg-config,
+ kdelibs5-dev,
+ libapt-pkg-dev (>= 0.8.0),
+ libxapian-dev,
+ libpolkit-qt-1-dev,
+ libqtgstreamer-dev,
+ libdebconf-kde-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
@@ -34,7 +43,7 @@
 
 Package: libqapt-runtime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Runtime components for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -50,6 +59,9 @@
  plasma-runner-installer, kde-thumbnailer-deb
 Recommends: gstreamer0.10-qapt
 Description: complete collection of QApt package management utilities
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This is a metapackage depending on all of QApt's extra package management
  utilities.
 
@@ -57,6 +69,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: Batch package manager for KDE
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  QApt Batch is a simple GUI for doing batch package management operations.
  It can install and remove packages, as well as update the package cache via a
  command line interface. It also has an attach function invokable via the
@@ -67,6 +82,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: tool for installing deb files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  The QApt deb installer allows you to install local .deb files. The QApt Deb
  Installer resolves and downloads dependencies. The APT package manager does
  the same, but only for remote packages.
@@ -75,6 +93,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
 Description: KRunner plugin for installing packages
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This KRunner plugin offers the option to install an application if its
  command is typed in to KRunner and the application is not already
  installed.
@@ -84,6 +105,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: dolphin, konqueror
 Description: KDE plugin to show thumbnails of Debian package files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
  packages (.deb files) as thumbnails.
 
@@ -91,6 +115,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: GStreamer plugin to install codecs using QApt
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This package provides a plugin for the GStreamer multimedia framework
  to search and to install audio and video codecs.
 
@@ -101,6 +128,9 @@
 Depends: ${misc:Depends}, libqapt1 (= ${binary:Version})
 Recommends: kdelibs5-dbg
 Description: QApt debugging symbols
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This package contains debugging symbols for QApt.
  When QApt crashes, in most cases this package is
  needed to get a backtrace that is useful for developers. If you have

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=qapt-dbg

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/libqapt/([\d\.]+)/src/libqapt-([\d\.]+)\.tar\.bz2

## qapt 1.3.0

=== debian/changelog ===
qapt (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the symbols file (Xilin Sun). Closes: #746894, #746263.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 12:39:10 +0200

qapt (1.3.0-2) unstable; urgency=low

  * Team upload.
  * Backport the upstream commit 4053dc46969b56084fb72c24ae062187134cd39a
    (patch upstream_directly-include-declaration-of-MD5Summation.patch) to fix
    the build with libapt-pkg 0.9; thanks to David Kalnischkies for the patch!
    (Closes: #669098)

 -- Pino Toscano <pino@debian.org>  Fri, 11 May 2012 15:43:13 +0200

qapt (1.3.0-1) unstable; urgency=low

  [ Kai Wasserbäch ]
  * New upstream release (release to unstable (Closes: #662926)).
  * debian/gbp.conf: Added to ensure pristine-tar usage and signed tags.
  * debian/watch: use git-import-orig.
  * debian/control:
    - Added Vcs-{Git,Browser} fields.
    - Bumped Standards-Version to 3.9.3.1, no further changes needed.
    - Bumped B-D on dh to >= 9.
  * debian/rules:
    - Remove override for dh_strip, not needed.
    - Added .PHONY line.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Deleted, merged
    upstream.
  * debian/TODO: Added, mentioning multi-arch progress.
  * debian/source.lintian-overrides: Deleted, no longer needed.
  * debian/libqapt-dev.install: Added new changelog.h and its wrapper.
  * debian/libqapt1.symbols: Updated.

  [ Pino Toscano ]
  * Drop patch Fix-spelling-errors.patch, which breaks translations.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 18 Mar 2012 20:19:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Kai Wasserbäch <curan@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.9.4),
+Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.5.0),
  cmake (>= 2.8.4+dfsg.1-3),
  pkg-config,
@@ -15,8 +15,10 @@
  libpolkit-qt-1-dev,
  libqtgstreamer-dev,
  libdebconf-kde-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3.1
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qapt.git;a=summary
 
 Package: libqapt1
 Architecture: any

## qapt 1.3.1

=== debian/changelog ===
qapt (1.3.1-0ubuntu2) precise; urgency=low

  * Cherry-pick several patches from the 1.3 branch: (LP: #976159)
    - Add fix_misreported_marking_errors.diff to stop marking errors being
      reported as lock errors.
    - Add fix_worker_upgrade_marking.diff, which uses a more conservative
      problem resolution method to fix marking issues that occur while
      marking single packages for upgrade, as well as fixes an issue where
      the worker would not clear errors caused by marking issues that had
      been fixed manually.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Apr 2012 19:48:44 -0400

qapt (1.3.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
  * Bump debhelper compat to 9

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Apr 2012 12:24:05 -0400

qapt (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #883604, #941536)
  * Bump Standards-Version to 3.9.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Mar 2012 21:45:45 -0500

qapt (1.2.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate (LP: #840306)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 29 Jan 2012 10:39:17 -0500

qapt (1.2.80-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Dec 2011 20:40:52 -0500

qapt (1.2.65-0ubuntu1) precise; urgency=low

  * New upstream alpha release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Nov 2011 19:20:50 -0500

qapt (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Oct 2011 15:18:46 -0400

=== debian/control ===
Source: qapt
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 9~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
 kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev,
 libqtgstreamer-dev, libdebconf-kde-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/

Package: libqapt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version}), libapt-pkg-dev
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-utils
Architecture: any
Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
 plasma-runner-installer, kde-thumbnailer-deb
Recommends: gstreamer0.10-qapt
Description: complete collection of QApt package management utilities
 This is a metapackage depending on all of QApt's extra package management
 utilities.

Package: qapt-batch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
Description: Batch package manager for KDE
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
Description: tool for installing deb files
 The QApt deb installer allows you to install local .deb files. The QApt Deb
 Installer resolves and downloads dependencies. The APT package manager does
 the same, but only for remote packages.

Package: plasma-runner-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
Description: KRunner plugin for installing packages
 This KRunner plugin offers the option to install an application if its
 command is typed in to KRunner and the application is not already
 installed.

Package: kde-thumbnailer-deb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of Debian package files
 A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
 packages (.deb files) as thumbnails.

Package: gstreamer0.10-qapt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
Description: GStreamer plugin to install codecs using QApt
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: qapt-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: QApt debugging symbols
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with kde --parallel

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=qapt-dbg
